Relatórios

Autenticação
A chave da API deve ser enviada como um token Bearer no cabeçalho Authorization da requisição. Obtenha sua chave de API.
Listar

Endpoint da API

GET
https://lens.oktopus.cloud/api/v1/reports

Exemplo de requisição

curl --location --request GET 'https://lens.oktopus.cloud/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parâmetros

Nome
Tipo
Descrição
search
opcional string
Consulta de pesquisa.
search_by
opcional string
Pesquisar por. Os valores possíveis são: url para URL. O padrão é: url.
website_id
opcional integer
ID do site.
result
opcional string
Resultado. Os valores possíveis são: good para Bom, decent para Razoável, bad para Ruim.
sort_by
opcional string
Ordenar por. Os valores possíveis são: id para Data de criação, url para URL, score para Pontuação. O padrão é: id.
sort
opcional string
Ordenar. Os valores possíveis são: desc para Decrescente, asc para Crescente. O padrão é: desc.
per_page
opcional integer
Resultados por página. Os valores possíveis são: 10, 25, 50, 100. O padrão é: 10.
Exibir

Endpoint da API

GET
https://lens.oktopus.cloud/api/v1/reports/{id}

Exemplo de requisição

curl --location --request GET 'https://lens.oktopus.cloud/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Salvar

Endpoint da API

POST
https://lens.oktopus.cloud/api/v1/reports

Exemplo de requisição

curl --location --request POST 'https://lens.oktopus.cloud/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'

Parâmetros

Nome
Tipo
Descrição
url
obrigatório string
URL.
Excluir

Endpoint da API

DELETE
https://lens.oktopus.cloud/api/v1/reports/{id}

Exemplo de requisição

curl --location --request DELETE 'https://lens.oktopus.cloud/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'